Bug 1301253 - Review Request: color - A string colorizer
Review Request: color - A string colorizer
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
https://github.com/awd123/color
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2016-01-22 21:41 EST by Austin Dunn
Modified: 2016-02-01 04:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Austin Dunn 2016-01-22 21:41:28 EST
Spec URL: http://terrydunn.org/color/color.spec
SRPM URL: http://terrydunn.org/color/color-0.2.1-1.fc23.src.rpm
Description: This program uses ANSI escape codes to colorize a string passed to it either by argv or stdin.
Fedora Account System Username: awd123
Comment 1 Brandon Thomas 2016-01-24 17:25:06 EST
This is not an official review, and this does not effect the status of the review request.
* It looks like a period slipped into the packages Summary.
* I don't believe that Amusements/Games" is a valid group.
* "make %{?_smp_mflags}" can be replaced with "%make_build".
* You don't need to specify the packager.
* You probably want the install and ln command to be in the "%install" section.
* You might want to consider including a change log at the end of your file.
Comment 2 Austin Dunn 2016-01-24 19:06:04 EST
(In reply to Brandon Thomas from comment #1)

Thanks for the review!

> * I don't believe that Amusements/Games" is a valid group.
Amusements/Games is a valid group. Try "cat /usr/share/doc/rpm/GROUPS"

> * "make %{?_smp_mflags}" can be replaced with "%make_build".
That was in the vim .spec template, I will fix it in an update.

> * You probably want the install and ln command to be in the "%install"
See above.
Comment 3 Petr Pisar 2016-01-29 08:30:27 EST
You seems to not be in packager group yet, so I added the required "blocks" dependency to this bug report. I hope some packager sponsor reach you. To the package:

The License value is not valid one. See <https://fedoraproject.org/wiki/Licensing> for the list of available identifiers.

The program requires C compiler to build. You should build-requires gcc. See <https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B>.

The spec file invokes make command, so it should build-require it.

The LICENSE file must be packaged using %license macro. See <https://fedoraproject.org/wiki/Packaging:LicensingGuidelines>.

Note You need to log in before you can comment on or make changes to this bug.